import { HttpService } from '@nestjs/axios';
import { HttpStatus, Logger } from '@nestjs/common';
export declare abstract class HttpClientService {
    protected readonly url: string;
    protected readonly httpService: HttpService;
    protected logger: Logger;
    protected headersRequest: any;
    constructor(url: string, httpService: HttpService);
    protected getHeaders(): {
        'Content-Type': string;
    };
    post(endpoint: string, data: any): Promise<any>;
    protected validateResponseStatus(data: any, status: HttpStatus): boolean;
}
